﻿using Device;
using System.Reflection.Metadata.Ecma335;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace ConfigFileManager.Controls;

/// <summary>
/// Interaction logic for ConfigFilePlot.xaml
/// </summary>
public partial class ConfigFilePlot : UserControl
{
    public ConfigFilePlot()
    {
        InitializeComponent();
    }

    public DeviceInfo DeviceInfo
    {
        get { return (DeviceInfo)GetValue(DeviceInfoProperty); }
        set { SetValue(DeviceInfoProperty, value); }
    }

    public static readonly DependencyProperty DeviceInfoProperty =
        DependencyProperty.Register("DeviceInfo", typeof(DeviceInfo), typeof(ConfigFilePlot), new PropertyMetadata(default));

    public ICommand UpdateCommand
    {
        get { return (ICommand)GetValue(UpdateCommandProperty); }
        set { SetValue(UpdateCommandProperty, value); }
    }

    public static readonly DependencyProperty UpdateCommandProperty =
        DependencyProperty.Register("UpdateCommand", typeof(ICommand), typeof(ConfigFilePlot), new PropertyMetadata(default));




    public ICommand MigrateCommand
    {
        get { return (ICommand)GetValue(MigrateCommandProperty); }
        set { SetValue(MigrateCommandProperty, value); }
    }

    public static readonly DependencyProperty MigrateCommandProperty =
        DependencyProperty.Register("MigrateCommand", typeof(ICommand), typeof(ConfigFilePlot), new PropertyMetadata(default));




}
